CVE-2015-7943
CVSS5.8
发布时间 :2017-10-18 14:29:00
修订时间 :2017-11-08 10:49:10
NMS    

[原文]Open redirect vulnerability in the Overlay module in Drupal 7.x before 7.41, the jQuery Update module 7.x-2.x before 7.x-2.7 for Drupal, and the LABjs module 7.x-1.x before 7.x-1.8 allows remote attackers to redirect users to arbitrary web sites and conduct phishing attacks via unspecified vectors. NOTE: this vulnerability exists because of an incomplete fix for CVE-2015-3233.


[CNNVD]CNNVD数据暂缺。


[机译]帮助我们改进 Google 翻译

- CVSS (基础分值)

CVSS分值: 5.8 [中等(MEDIUM)]
机密性影响: PARTIAL [很可能造成信息泄露]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: NONE [对系统可用性无影响]
攻击复杂度: MEDIUM [漏洞利用存在一定的访问条件]
攻击向量: NETWORK [攻击者不需要获取内网访问权或本地访问权]
身份认证: NONE [漏洞利用无需身份认证]

- CWE (弱点类目)

CWE-601 [指向未可信站点的URL重定向(开放重定向)]

- CPE (受影响的平台与产品)

cpe:/a:drupal:drupal:7.0Drupal 7.0
cpe:/a:drupal:drupal:7.0:alpha1Drupal 7.0 alpha1
cpe:/a:drupal:drupal:7.0:alpha2Drupal 7.0 alpha2
cpe:/a:drupal:drupal:7.0:alpha3Drupal 7.0 alpha3
cpe:/a:drupal:drupal:7.0:alpha4Drupal 7.0 alpha4
cpe:/a:drupal:drupal:7.0:alpha5Drupal 7.0 alpha5
cpe:/a:drupal:drupal:7.0:alpha6Drupal 7.0 alpha6
cpe:/a:drupal:drupal:7.0:alpha7Drupal 7.0 alpha7
cpe:/a:drupal:drupal:7.0:beta1Drupal 7.0 Beta 1
cpe:/a:drupal:drupal:7.0:beta2Drupal 7.0 Beta 2
cpe:/a:drupal:drupal:7.0:beta3Drupal 7.0 Beta 3
cpe:/a:drupal:drupal:7.0:devDrupal 7.0 dev
cpe:/a:drupal:drupal:7.0:rc1Drupal 7.0 Release Candidate 1
cpe:/a:drupal:drupal:7.0:rc2Drupal 7.0 Release Candidate 2
cpe:/a:drupal:drupal:7.0:rc3Drupal 7.0 Release Candidate 3
cpe:/a:drupal:drupal:7.0:rc4Drupal 7.0 Release Candidate 4
cpe:/a:drupal:drupal:7.1Drupal 7.1
cpe:/a:drupal:drupal:7.2Drupal 7.2
cpe:/a:drupal:drupal:7.3Drupal 7.3
cpe:/a:drupal:drupal:7.4Drupal 7.4
cpe:/a:drupal:drupal:7.5Drupal 7.5
cpe:/a:drupal:drupal:7.6Drupal 7.6
cpe:/a:drupal:drupal:7.7Drupal 7.7
cpe:/a:drupal:drupal:7.8Drupal 7.8
cpe:/a:drupal:drupal:7.9Drupal 7.9
cpe:/a:drupal:drupal:7.10Drupal 7.10
cpe:/a:drupal:drupal:7.11Drupal 7.11
cpe:/a:drupal:drupal:7.12Drupal 7.12
cpe:/a:drupal:drupal:7.13Drupal 7.13
cpe:/a:drupal:drupal:7.14Drupal 7.14
cpe:/a:drupal:drupal:7.15Drupal 7.15
cpe:/a:drupal:drupal:7.16Drupal 7.16
cpe:/a:drupal:drupal:7.17Drupal 7.17
cpe:/a:drupal:drupal:7.18Drupal 7.18
cpe:/a:drupal:drupal:7.19
cpe:/a:drupal:drupal:7.20
cpe:/a:drupal:drupal:7.21
cpe:/a:drupal:drupal:7.22
cpe:/a:drupal:drupal:7.23
cpe:/a:drupal:drupal:7.24
cpe:/a:drupal:drupal:7.25
cpe:/a:drupal:drupal:7.26
cpe:/a:drupal:drupal:7.27
cpe:/a:drupal:drupal:7.28
cpe:/a:drupal:drupal:7.29
cpe:/a:drupal:drupal:7.30
cpe:/a:drupal:drupal:7.31
cpe:/a:drupal:drupal:7.32
cpe:/a:drupal:drupal:7.33
cpe:/a:drupal:drupal:7.34
cpe:/a:drupal:drupal:7.35
cpe:/a:drupal:drupal:7.36
cpe:/a:drupal:drupal:7.37
cpe:/a:drupal:drupal:7.38
cpe:/a:drupal:drupal:7.39
cpe:/a:drupal:drupal:7.40
cpe:/a:jquery_update_project:jquery_update:7.x-2.0::~~~drupal~~
cpe:/a:jquery_update_project:jquery_update:7.x-2.1::~~~drupal~~
cpe:/a:jquery_update_project:jquery_update:7.x-2.2::~~~drupal~~
cpe:/a:jquery_update_project:jquery_update:7.x-2.3::~~~drupal~~
cpe:/a:jquery_update_project:jquery_update:7.x-2.4::~~~drupal~~
cpe:/a:jquery_update_project:jquery_update:7.x-2.5::~~~drupal~~
cpe:/a:jquery_update_project:jquery_update:7.x-2.6::~~~drupal~~
cpe:/a:labjs_project:labjs:7.x-1.0::~~~drupal~~
cpe:/a:labjs_project:labjs:7.x-1.0:beta1:~~~drupal~~
cpe:/a:labjs_project:labjs:7.x-1.0:rc1:~~~drupal~~
cpe:/a:labjs_project:labjs:7.x-1.1::~~~drupal~~
cpe:/a:labjs_project:labjs:7.x-1.2::~~~drupal~~
cpe:/a:labjs_project:labjs:7.x-1.3::~~~drupal~~
cpe:/a:labjs_project:labjs:7.x-1.4::~~~drupal~~
cpe:/a:labjs_project:labjs:7.x-1.5::~~~drupal~~
cpe:/a:labjs_project:labjs:7.x-1.6::~~~drupal~~
cpe:/a:labjs_project:labjs:7.x-1.7::~~~drupal~~

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2015-7943
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2015-7943
(官方数据源) NVD

- 其它链接及资源

http://www.debian.org/security/2017/dsa-3897
(VENDOR_ADVISORY)  DEBIAN  DSA-3897
http://www.securityfocus.com/bid/77293
(VENDOR_ADVISORY)  BID  77293
https://www.drupal.org/forum/newsletters/security-advisories-for-drupal-core/2015-10-21/drupal-core-overlay-less-critical
(VENDOR_ADVISORY)  CONFIRM  https://www.drupal.org/forum/newsletters/security-advisories-for-drupal-core/2015-10-21/drupal-core-overlay-less-critical
https://www.drupal.org/node/2598426
(VENDOR_ADVISORY)  MISC  https://www.drupal.org/node/2598426
https://www.drupal.org/node/2598434
(VENDOR_ADVISORY)  MISC  https://www.drupal.org/node/2598434

- 漏洞信息

Drupal Core Overlay Module CVE-2015-7943 Incomplete Fix Open Redirection Vulnerability
Input Validation Error 77293
Yes No
2015-10-21 12:00:00 2017-07-03 02:05:00
Samuel Mortenson and Pere Orga of the Drupal Security Team

- 受影响的程序版本

Drupal LABjs 7.x-1.7
Drupal LABjs 7.x-1.6
Drupal LABjs 7.x-1.5
Drupal LABjs 7.x-1.4
Drupal LABjs 7.x-1.3
Drupal LABjs 7.x-1.2
Drupal LABjs 7.x-1.1
Drupal LABjs 7.x-1.0
Drupal jQuery Update 7.x-2.6
Drupal jQuery Update 7.x-2.5
Drupal jQuery Update 7.x-2.4
Drupal jQuery Update 7.x-2.3
Drupal jQuery Update 7.x-2.2
Drupal jQuery Update 7.x-2.1
Drupal jQuery Update 7.x-2.0
Drupal Drupal 7.9
Drupal Drupal 7.8
Drupal Drupal 7.6
Drupal Drupal 7.5
Drupal Drupal 7.4
Drupal Drupal 7.39
Drupal Drupal 7.38
Drupal Drupal 7.37
Drupal Drupal 7.36
Drupal Drupal 7.35
Drupal Drupal 7.34
Drupal Drupal 7.33
Drupal Drupal 7.32
Drupal Drupal 7.31
Drupal Drupal 7.30
Drupal Drupal 7.3
Drupal Drupal 7.29
Drupal Drupal 7.28
Drupal Drupal 7.27
Drupal Drupal 7.26
Drupal Drupal 7.25
Drupal Drupal 7.24
Drupal Drupal 7.23
Drupal Drupal 7.22
Drupal Drupal 7.21
Drupal Drupal 7.20
Drupal Drupal 7.2
Drupal Drupal 7.19
Drupal Drupal 7.18
Drupal Drupal 7.17
Drupal Drupal 7.16
Drupal Drupal 7.15
Drupal Drupal 7.14
Drupal Drupal 7.13
Drupal Drupal 7.12
Drupal Drupal 7.11
Drupal Drupal 7.10
Drupal Drupal 7.1
Drupal Drupal 7.0
Debian Linux 6.0 sparc
Debian Linux 6.0 s/390
Debian Linux 6.0 powerpc
Debian Linux 6.0 mips
Debian Linux 6.0 ia-64
Debian Linux 6.0 ia-32
Debian Linux 6.0 arm
Debian Linux 6.0 amd64
,Drupal LABjs 7.x-1.8
Drupal jQuery Update 7.x-2.7
Drupal Drupal 7.41

- 不受影响的程序版本

Drupal LABjs 7.x-1.8
Drupal jQuery Update 7.x-2.7
Drupal Drupal 7.41

- 漏洞讨论

Drupal is prone to an open-redirection vulnerability.

An attacker can leverage this issue by constructing a crafted URI and enticing a user to follow it. When an unsuspecting victim follows the link, they may be redirected to an attacker-controlled site; this may aid in phishing attacks. Other attacks are possible.

Note: This issue is the result of an incomplete fix for the issue described in 75284 (Drupal Core Overlay Module CVE-2015-3233 Open Redirection Vulnerability).

- 漏洞利用

An attacker can exploit this issue by enticing an unsuspecting victim to follow a malicious URI.

- 解决方案

Updates are available. Please see the references or vendor advisory for more information.

- 相关参考

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站